# Uses of Enum
org.apache.avro.generic.GenericData.StringType

Packages that use GenericData.StringType
Package
Description
org.apache.avro.generic
A generic representation for Avro data.

## Uses of GenericData.StringType in org.apache.avro.generic

Methods in org.apache.avro.generic that return GenericData.StringType
Modifier and Type
Method
Description
`static GenericData.StringType`
GenericData.StringType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static GenericData.StringType[]`
GenericData.StringType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.avro.generic with parameters of type GenericData.StringType
Modifier and Type
Method
Description
`static void`
GenericData.`setStringType(Schema s, GenericData.StringType stringType)`
Set the Java type to be used when reading this schema.